Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.build
Interface TestResultManager

All Known Implementing Classes:
  DefaultTestResultManager

    public interface TestResultManager

Method Summary
`BuildResults` | `getBuildFailingSince(BuildResults buildResults, TestResults testResults)` Given a build results with test result, finds the build result for which this failing test has been failing since.
`BuildResults` | `getBuildFailingSince(TestCase testCase)`
`BuildResults` | `getBuildSuccessfulSince(TestCase testCase)`
`TestCaseResultWrapper` | `getLastTestCaseResult(TestCase testCase)`
`TestCaseResultWrapper` | `getTestCaseResult(BuildResults buildResults, String key)` Finds a `TestCaseResultWrapper` given a test case key and a `BuildResultsImpl`
`TestClassResultWrapper` | `getTestClassResult(BuildResults buildResults, String key)` Finds a `TestClassResultWrapper` given a test class key and a `BuildResultsImpl`
`boolean` | `isTestFailedForBuild(BuildResults buildResults, TestResults testResults)` Checks to see if a given `TestResults` is failing in a given `BuildResultsImpl`
`List` | `wrapTestCaseResults(List testResults, BuildResults buildResults)` Wraps up a `List` of `TestResults` object into a `List` of `TestCaseResultWrapper` objects.

Method Detail

### getBuildFailingSince

    BuildResults getBuildFailingSince(BuildResults buildResults,
                                      TestResults testResults)

  Given a build results with test result, finds the build result for which this failing test has been failing since.

  Parameters:
    `buildResults` - - build results to count the failing unitl
    `testResults` - - the test result representing the test case
  Returns:
    `BuildResultsImpl` for which this test first failed.

### isTestFailedForBuild

    boolean isTestFailedForBuild(BuildResults buildResults,
                                 TestResults testResults)

  Checks to see if a given `TestResults` is failing in a given `BuildResultsImpl`

  Parameters:
    `buildResults` -
    `testResults` -
  Returns:
    `boolean` failed = true, not failed = false;

### getTestCaseResult

    TestCaseResultWrapper getTestCaseResult(BuildResults buildResults,
                                            String key)

  Finds a `TestCaseResultWrapper` given a test case key and a `BuildResultsImpl`

  Parameters:
    `buildResults` -
    `key` -
  Returns:
    a `TestCaseResultWrapper` which wraps around the underlying `TestResults`

### getTestClassResult

    TestClassResultWrapper getTestClassResult(BuildResults buildResults,
                                              String key)

  Finds a `TestClassResultWrapper` given a test class key and a `BuildResultsImpl`

  Parameters:
    `buildResults` -
    `key` -
  Returns:
    a `TestClassResultWrapper` which wraps around the underlying `TestClassResult`\

### wrapTestCaseResults

    List wrapTestCaseResults(List testResults,
                             BuildResults buildResults)

  Wraps up a `List` of `TestResults` object into a `List` of `TestCaseResultWrapper` objects.

  Parameters:
    `testResults` -
    `buildResults` -
  Returns:
    the `List` of wrapped `TestCaseResultWrapper`

### getBuildFailingSince

    BuildResults getBuildFailingSince(TestCase testCase)

### getBuildSuccessfulSince

    BuildResults getBuildSuccessfulSince(TestCase testCase)

### getLastTestCaseResult

    TestCaseResultWrapper getLastTestCaseResult(TestCase testCase)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.